> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/52.-query-gerasterde-data-uit-soildataset-ophalen.md).

# 52. Query: gerasterde data uit "SoilDataset" ophalen

Query om gegoten (gridded) gegevens uit de rasterdataset gerelateerd aan "SoilDataset" op te halen als `GEOJSON`  met punten of `GEOTIFF`. Het attribuut properties bevat alle datasetattributen per punt.&#x20;

#### 1. Vraag een bestand aan om te exporteren

{% hint style="danger" %}
Aanbevolen om slechts één dataset op te halen met `sourceDataUrl` per verzoek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, en `MinusTwoPixels` zijn beschikbaar als een `buffer`.

`GEOJSON` en `GEOTIFF` zijn beschikbaar als een formaat.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Download het gegenereerde bestand

Na succesvolle voorbereiding van het bestand kan het worden gedownload met `curl` of een vergelijkbare methode.

{% hint style="danger" %}
`sourceDataUrl` link is alleen toegankelijk voor **60 sec.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/52.-query-gerasterde-data-uit-soildataset-ophalen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
